import { EndpointParameterInstructions } from "@aws-sdk/middleware-endpoint";
import { Command as $Command } from "@aws-sdk/smithy-client";
import {
  Handler,
  HttpHandlerOptions as __HttpHandlerOptions,
  MetadataBearer as __MetadataBearer,
  MiddlewareStack,
} from "@aws-sdk/types";
import {
  CostExplorerClientResolvedConfig,
  ServiceInputTypes,
  ServiceOutputTypes,
} from "../CostExplorerClient";
import {
  GetSavingsPlansCoverageRequest,
  GetSavingsPlansCoverageResponse,
} from "../models/models_0";
export interface GetSavingsPlansCoverageCommandInput
  extends GetSavingsPlansCoverageRequest {}
export interface GetSavingsPlansCoverageCommandOutput
  extends GetSavingsPlansCoverageResponse,
    __MetadataBearer {}
export declare class GetSavingsPlansCoverageCommand extends $Command<
  GetSavingsPlansCoverageCommandInput,
  GetSavingsPlansCoverageCommandOutput,
  CostExplorerClientResolvedConfig
> {
  readonly input: GetSavingsPlansCoverageCommandInput;
  static getEndpointParameterInstructions(): EndpointParameterInstructions;
  constructor(input: GetSavingsPlansCoverageCommandInput);
  resolveMiddleware(
    clientStack: MiddlewareStack<ServiceInputTypes, ServiceOutputTypes>,
    configuration: CostExplorerClientResolvedConfig,
    options?: __HttpHandlerOptions
  ): Handler<
    GetSavingsPlansCoverageCommandInput,
    GetSavingsPlansCoverageCommandOutput
  >;
  private serialize;
  private deserialize;
}
